Monday, November 5, 2007

Lazarus 0.9.24 tagged

This afternoon I tagged Lazarus 0.9.24. The coming days we will build all the windows installers, rpms, debs and dmgs for the suported OS-es and CPU's.

As part of the release testing, I created an ubuntu lazarus-testing repository at http://www.hu.freepascal.org/lazarus/dists/lazarus-testing/. Currently it still contains Lazarus 0.9.22 and FPC 2.0.4, but as soon as the Lazarus 0.9.24 and debs are ready they will be put there, until the Lazarus 0.9.24 release can be announced. After the announcement, they will be available in the lazarus-stable repository too. For more information about how to get debs from the Lazarus testing repostitory, see the wiki.

Please, let us know if you have problems using the testing repository and during the upgrade from 0.9.22 to 0.9.24.

5 comments:

philou said...

Greetings,

I've been using Lazarus 0.9.24 a bit every day for a week now with Ubuntu Gutsy, without any major problem.

Anyway, it looks like the GTK1 version crashes more easily than a GTK2 compiled version (especially with copy-paste operations). In fact, the GTK2 version has not crashed yet here.

Thank you very much for your hard work and good luck.

Regards

LEONARDO C. DE ALMEIDA said...

I have a new free CG software been made from scratch. The core can be ported to any OO language.

I have been thinking about to migrate my sources to a free programming tool and maybe Lazarus can be a good option.

I have been looking for some especific documentation but I think this part is yet a little bit weak.

Can we change some technical considerations by email? I have chosen you cause I think you are one of the heads of Lazarus project.

If you can not help me, maybe you can tell me who can. My excuses by any inconvenient.

Thanks in advance.

mariuz said...

i install lazarus 0.9.24 right now on my ubuntu hardy machine

I also installed the following units

sudo apt-get install fp-units-db fp-units-gfx fp-units-gnome1 fp-units-misc fp-units-net

mariuz said...

also the sources for fpc needs to be installed

sudo apt-get install fpc-src

mariuz said...

in ubuntu hardy fpc source package name is changed so i had to install it this way


sudo apt-get install fp-units-db fp-units-gfx fp-units-gnome1 fp-units-misc fp-units-net fpc-source fp-compiler fp-docs fp-utils